POST Submit basket
POST /orders
Operation ID: Submit basket. Tags: orders. Security: customers_auth; oauth2_application; client_id.
Submits an order based on a prepared basket. Note: If the basket has been submitted using Order Center (considered by it's client id) the channel type will be set to "Call Center". In case another channel type was set by a script before submitting the basket, the channel type will be reset to "Call Center" and a warning will be logged. The only considered value from the request body is basket_id .
This endpoint may return the following faults:
- 400 - GiftCertificateCreationException - Thrown if a failure during the creation of a gift certificate for a gift certificate item.
- 400 - InvalidBasketIdException - Indicates that the basket id in the request body is null or empty.
- 400 - InvalidCustomerException - Indicates that the customer assigned to the basket does not match the verified customer represented by the JWT, not relevant when using OAuth.
- 400 - InvalidProductItemException - Indicates an invalid product item.
- 400 - InvalidProductOptionItemException - Indicates that an option with the specified option id is unknown.
- 400 - InvalidProductOptionValueItemException - Indicates that an option with the specified option value id is unknown.
- 400 - ProductItemNotAvailableException - Thrown if a product item is not available.
- 400 - ValidationException - Indicates that the basket contains flashes.
- 404 - BasketNotFoundException - Indicates that the basket with the given basket id is unknown.
Request body (required)
Media type: application/json, text/xml. Schema: basket.
Responses
- 400
GiftCertificateCreationException- Thrown if a failure during the creation of a gift certificate for a gift certificate item. orInvalidBasketIdException- Indicates that the basket id in the request body is null or empty. orInvalidCustomerException- Indicates that the customer assigned to the basket does not match the verified customer represented by the JWT, not relevant when using OAuth. orInvalidProductItemException- Indicates an invalid product item. orInvalidProductOptionItemException- Indicates that an option with the specified option id is unknown. orInvalidProductOptionValueItemException- Indicates that an option with the specified option value id is unknown. orProductItemNotAvailableException- Thrown if a product item is not available. orValidationException- Indicates that the basket contains flashes.Media type:
application/json, text/xml. Schema:fault. - 404
BasketNotFoundException- Indicates that the basket with the given basket id is unknown.Media type:
application/json, text/xml. Schema:fault. - default
Media type:
application/json, text/xml. Schema:order.